Bug 63675 - xterm forgets desktop number after logging out
Summary: xterm forgets desktop number after logging out
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-17 11:43 UTC by Peter Lucas
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 04:04:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Lucas 2002-04-17 11:43:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
I am using xterm instead of gnome-terminal but somehow sawfish is not
able to store the right attributes of an xterm window, so that when I
logout and say "save setup" and then login again, I get the same
setup. For example, all xterm windows always come up on workspace 0,
even through they were originally started up on another workspace (e.g. 3). Also
the position attributes appear very unreliable.

This all worked fine when I was using RH 6.2. I have not been able to
figure out why xterm windows are behaving strangely.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login
2. start xterm on desktop 3
3. logout with save set-up
4. login again
5. xterm will appear on desktop 0
	

Actual Results:  See description above.

Expected Results:  xterm should have been started up on desktop 3, exactly at
the
same position. I have remember (position) attributes in sawfish on.

Additional info:

Comment 1 Havoc Pennington 2002-08-12 15:47:10 UTC
xterm doesn't support session management, I don't think.


Comment 2 Need Real Name 2002-11-04 04:27:50 UTC
The same Problem exist on RH-7.3 with gnome-terminal and xterm.......

and: session-Data in .sawfish/session, i think ist OK, and is more than one.

((name . "hannes@xxxxx:~")
 (dimensions 1245 . 914)
 (client-id . "11d42ae05c000103638340100000025830000")
 (role)
 (class . "Terminal.1^@Terminal^@")
 (command . "gnome-terminal^@")
 (machine . "xxxx.xxxx.de")
 (order . 19)
 (type . default)
 (depth . 0)
 (position 109 . 31)
 (viewport 0 . 0)
 (workspaces 4))

All ID's is the same, is this OK

Comment 3 Havoc Pennington 2003-01-13 04:04:36 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103330


Note You need to log in before you can comment on or make changes to this bug.